#305 V3.98B7: Corrupt encode for MPEG2 at 22.05kHz

Quality
closed-fixed
nobody
Libraries (86)
5
2008-04-23
2008-04-13
Anonymous
No

For V3.98B7, severe encode corruption occurs for MPEG2, 22.05kHz encodes. Although I have been unable to establish a definiteve pattern, the situation appears to be exaserbated when resamppling. The problem may be reproduced consistently using (e.g.): `lame -V8 -Q0 --vbr-old --resample 22050'. Build environment appears to be irrelevant, as the problem is apparent both for GCC4 (Linux Fedora 8), and GCC3 (WinXP-Corporate; SP2; MinGW). The attached file consistently reproduces the problem.

Discussion

  • Nobody/Anonymous

    Short, simple test culled from Denon audio test CD which consistently reproduces the problem. Note: the 256K limit necessitated submitting the file in flac format.

     
  • Robert Hegemann

    Robert Hegemann - 2008-04-13

    Logged In: YES
    user_id=1106
    Originator: NO

    What do you mean by "severe encode corruption" ?
    Does LAME crash, or is the encoded file of ugly audio quality?

    Ciao Robert

     
  • Robert Hegemann

    Robert Hegemann - 2008-04-23
    • labels: 105731 --> Libraries
    • milestone: --> Quality
    • status: open --> closed-fixed
     
  • Robert Hegemann

    Robert Hegemann - 2008-04-23

    Logged In: YES
    user_id=1106
    Originator: NO

    Thanks, it was a bug in VBR-old, which shows up only, if the --fast-math compile switch was used.
    A fix is now in CVS.

    Robert

     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks